## golang-github-containers-buildah 1.35.3+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.35.3+ds1-3) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * d/control:
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Bump debhelper-compat to v13

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Jul 2024 01:04:44 +0000

golang-github-containers-buildah (1.35.3+ds1-2) experimental; urgency=medium

  * Refresh and document patches
  * Build against docker 26.1, Closes: #1072578
  * Disable TestDeviceFromPath, Closes: #1072147
  * Tighten depends on:
     - golang-github-fsouza-go-dockerclient-dev
     - imagebuildah
  * Enable heredoc support, Closes: #1072578
  * Backport patch to support --start-interval

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 11 Jul 2024 20:10:38 -0400

golang-github-containers-buildah (1.35.3+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 05 May 2024 07:26:58 -0400

golang-github-containers-buildah (1.35.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Mar 2024 21:21:21 -0400

golang-github-containers-buildah (1.34.0+ds1-2) experimental; urgency=medium

  * Tighten dependency on containers/common further (0.57.4+ds1-3~)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 10 Feb 2024 10:08:21 -0500

golang-github-containers-buildah (1.34.0+ds1-1) experimental; urgency=medium

  * New upstream release.
  * Tighten dependency on containers/{storage,image,common}
  * fix build for internal/mkcw/embed

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 09 Feb 2024 12:07:22 -0500

=== debian/control ===
Source: golang-github-containers-buildah
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>,
Build-Conflicts: golang-github-dnephin-cobra-dev
Build-Depends: debhelper-compat (= 13), bash-completion,
               dh-golang,
               golang-go,
    golang-ginkgo-dev,
    golang-github-appc-cni-dev (>= 0.7.0~~),
    golang-github-containers-common-dev (>= 0.58),
    golang-github-containers-image-dev (>= 5.30.2),
    golang-github-containers-luksy-dev,
    golang-github-containers-ocicrypt-dev,
    golang-github-containers-storage-dev (>= 1.53),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-cyphar-filepath-securejoin-dev,
    golang-github-docker-docker-dev (>= 26.1),
#       golang-github-docker-distribution-dev,
    golang-github-docker-go-units-dev,
    golang-github-fsouza-go-dockerclient-dev (>> 1.11),
    golang-github-hashicorp-go-multierror-dev,
    golang-github-ishidawataru-sctp-dev,
    golang-github-konsorten-go-windows-terminal-sequences-dev,
    golang-github-mattn-go-shellwords-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev,
    golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
    golang-github-opencontainers-runtime-tools-dev,
    golang-github-opencontainers-selinux-dev,
    golang-github-opencontainers-specs-dev,
    golang-github-openshift-imagebuilder-dev (>= 1.2.6),
    golang-github-pkg-errors-dev,
    golang-github-seccomp-libseccomp-golang-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-spf13-cobra-dev (>= 1.2.1),
    golang-github-spf13-pflag-dev,
    golang-github-vbauerster-mpb-dev (>= 6),
    golang-gocapability-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-sys-dev,
    golang-gomega-dev,
    go-md2man,
    libapparmor-dev,
    libostree-dev,
    libseccomp-dev,
    libselinux1-dev,
    libsubid-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/containers/buildah
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
XS-Go-Import-Path: github.com/containers/buildah
Testsuite: autopkgtest-pkg-go

Package: buildah
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: uidmap,
         golang-github-containers-common (>> 0.57),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: fuse-overlayfs (<< 0.7.1)
Recommends: ${misc:Recommends},
    fuse-overlayfs (>= 0.7.1~),
    crun | runc,
Suggests: containers-storage
Description: CLI tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains the buildah command-line utility and provides an
 interface similar to the 'docker' command.

Package: golang-github-containers-buildah-dev
Architecture: all
Depends: ${misc:Depends},
    golang-ginkgo-dev,
    golang-github-appc-cni-dev (>= 0.7.0~~),
    golang-github-containers-common-dev (>> 0.58),
    golang-github-containers-image-dev (>= 5.30.2),
    golang-github-containers-luksy-dev,
    golang-github-containers-ocicrypt-dev,
    golang-github-containers-storage-dev (>= 1.53),
    golang-github-coreos-bbolt-dev (>= 1.3.3~),
    golang-github-cyphar-filepath-securejoin-dev,
    golang-github-docker-docker-dev (>= 19.03.4~),
#       golang-github-docker-distribution-dev,
    golang-github-docker-go-units-dev,
    golang-github-fsouza-go-dockerclient-dev (>> 1.11),
    golang-github-hashicorp-go-multierror-dev,
    golang-github-ishidawataru-sctp-dev,
    golang-github-mattn-go-shellwords-dev,
    golang-github-opencontainers-go-digest-dev,
    golang-github-opencontainers-image-spec-dev,
    golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
    golang-github-opencontainers-runtime-tools-dev,
    golang-github-opencontainers-selinux-dev,
    golang-github-opencontainers-specs-dev,
    golang-github-openshift-imagebuilder-dev (>= 1.2.6),
    golang-github-pkg-errors-dev,
    golang-github-seccomp-libseccomp-golang-dev,
    golang-github-sirupsen-logrus-dev,
    golang-github-spf13-cobra-dev,
    golang-github-spf13-pflag-dev,
    golang-gocapability-dev,
    golang-golang-x-crypto-dev,
    golang-golang-x-sys-dev,
    golang-gomega-dev,
Description: tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains golang sources that other package may require for
 building.

=== debian/rules ===
#!/usr/bin/make -f

# We want to ship only the library packages themselves in the go source, not
# the accompanying test scripts
export DH_GOLANG_EXCLUDES := tests/
export DH_GOLANG_EXCLUDES_ALL := 1
export DH_GOLANG_INSTALL_EXTRA := $(wildcard internal/mkcw/embed/*)

# remove this non-sense after ubuntu's docker.io ships the vendored
# libraries in the correct folders. This is to allow auto-syncing to ubuntu
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
override_dh_auto_configure:
	# force debhelper to symlink subdirs in docker, enables workarounds below
	mkdir -p _build/src/github.com/docker _build/src/github.com/seccomp
	dh_auto_configure
	# workaround some vendoring issues - in ubuntu all docker vendored libraries
	# are installed in the "vendor/" subdirectory
	test -d _build/src/github.com/docker/libnetwork || \
	  ln -s docker/vendor/github.com/docker/libnetwork \
	     _build/src/github.com/docker
	test -d _build/src/github.com/seccomp/libseccomp-golang || \
	  ln -s ../docker/docker/vendor/github.com/seccomp/libseccomp-golang \
	  _build/src/github.com/seccomp
endif

override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
	dh_auto_build -- -tags "seccomp selinux apparmor libsubid"
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	env \
		DH_GOLANG_EXCLUDES="chroot cmd/buildah pkg/cli pkg/completion copier util conformance e2e" \
		HOME=$(CURDIR)/debian/tmp-home/.cache \
	dh_auto_test
	rm -rfv debian/tmp-home

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

## golang-github-containers-buildah 1.37.3%2Bds1

=== debian/changelog ===
golang-github-containers-buildah (1.37.3+ds1-3) unstable; urgency=medium

  * Replace with standard salsa-ci pipeline
  * debian/source/lintian-overrides: Ignore too long build-depends field
  * Avoid running problematic test on s390x

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Sep 2024 12:45:20 -0400

golang-github-containers-buildah (1.37.3+ds1-2) unstable; urgency=medium

  * debian/rules: remove ubuntu-specific hack
  * debian/patches/manpage-fixes.patch: mark as forwarded
  * Improve netavark avoidance patch
  * debian/patches/root-testfail-ignore.patch: Additional cases
  * debian/rules: Rework what tests are excluded and which are run
  * Drop 0004-Revert-Builder.cdiSetupDevicesInSpecdefConfig-use-co.patch

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 29 Sep 2024 11:35:06 -0400

golang-github-containers-buildah (1.37.3+ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 26 Sep 2024 05:49:16 -0400

golang-github-containers-buildah (1.37.2+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 10 Sep 2024 07:00:17 -0400

golang-github-containers-buildah (1.37.2+ds1-2) experimental; urgency=medium

  * tighten dependency on containers/luksy

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 02 Sep 2024 07:16:47 -0400

golang-github-containers-buildah (1.37.2+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 01 Sep 2024 15:51:06 -0400

golang-github-containers-buildah (1.37.1+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 17 Aug 2024 07:37:16 -0400

golang-github-containers-buildah (1.37.1+ds1-1) experimental; urgency=medium

  * New upstream release: 1.37.1
  * Tighten dependency on containers/{image,common}, docker.io
  * supress lintian error: field-too-long Built-Using

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 15 Aug 2024 08:57:11 -0400

golang-github-containers-buildah (1.37.0+ds1-1) experimental; urgency=medium

  * New upstream release: 1.37.0

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 07 Aug 2024 06:23:03 -0400

=== debian/control ===
Source: golang-github-containers-buildah
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Reinhard Tartler <siretart@tauware.de>,
           Dmitry Smirnov <onlyjob@debian.org>
Build-Conflicts: golang-github-dnephin-cobra-dev
Build-Depends: bash-completion,
               debhelper-compat (= 13),
               dh-golang,
               go-md2man,
               golang-ginkgo-dev,
               golang-github-appc-cni-dev (>= 0.7.0~~),
               golang-github-containers-common-dev (>= 0.60.2~~),
               golang-github-containers-image-dev (>= 5.32.2~~),
               golang-github-containers-luksy-dev (>= 0.0~git20240812~),
               golang-github-containers-ocicrypt-dev,
               golang-github-containers-storage-dev (>= 1.55),
               golang-github-coreos-bbolt-dev (>= 1.3.3~),
               golang-github-cyphar-filepath-securejoin-dev,
               golang-github-docker-docker-dev (>= 26.1.4+dfsg3~),
               golang-github-docker-go-units-dev,
               golang-github-fsouza-go-dockerclient-dev (>> 1.11),
               golang-github-hashicorp-go-multierror-dev,
               golang-github-ishidawataru-sctp-dev,
               golang-github-konsorten-go-windows-terminal-sequences-dev,
               golang-github-mattn-go-shellwords-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
               golang-github-opencontainers-runtime-tools-dev,
               golang-github-opencontainers-selinux-dev,
               golang-github-opencontainers-specs-dev,
               golang-github-openshift-imagebuilder-dev (>= 1.2.14),
               golang-github-pkg-errors-dev,
               golang-github-seccomp-libseccomp-golang-dev,
               golang-github-sirupsen-logrus-dev,
               golang-github-spf13-cobra-dev (>= 1.2.1),
               golang-github-spf13-pflag-dev,
               golang-github-vbauerster-mpb-dev (>= 6),
               golang-go,
               golang-gocapability-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sys-dev,
               golang-gomega-dev,
               libapparmor-dev,
               libostree-dev,
               libseccomp-dev,
               libselinux1-dev,
               libsubid-dev
Standards-Version: 4.7.0
Homepage: https://github.com/containers/buildah
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-containers-buildah.git
XS-Go-Import-Path: github.com/containers/buildah
Testsuite: autopkgtest-pkg-go

Package: buildah
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: golang-github-containers-common (>> 0.57),
         uidmap,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: fuse-overlayfs (<< 0.7.1)
Recommends: crun | runc, fuse-overlayfs (>= 0.7.1~), ${misc:Recommends}
Suggests: containers-storage
Description: CLI tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains the buildah command-line utility and provides an
 interface similar to the 'docker' command.

Package: golang-github-containers-buildah-dev
Architecture: all
Depends: golang-ginkgo-dev,
         golang-github-appc-cni-dev (>= 0.7.0~~),
         golang-github-containers-common-dev (>> 0.60.2~~),
         golang-github-containers-image-dev (>= 5.32.2~~),
         golang-github-containers-luksy-dev (>= 0.0~git20240812~),
         golang-github-containers-ocicrypt-dev,
         golang-github-containers-storage-dev (>= 1.55),
         golang-github-coreos-bbolt-dev (>= 1.3.3~),
         golang-github-cyphar-filepath-securejoin-dev,
         golang-github-docker-docker-dev (>= 19.03.4~),
#       golang-github-docker-distribution-dev,
         golang-github-docker-go-units-dev,
         golang-github-fsouza-go-dockerclient-dev (>> 1.11),
         golang-github-hashicorp-go-multierror-dev,
         golang-github-ishidawataru-sctp-dev,
         golang-github-mattn-go-shellwords-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-opencontainers-runc-dev (>= 1.0.0~rc92~),
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-opencontainers-selinux-dev,
         golang-github-opencontainers-specs-dev,
         golang-github-openshift-imagebuilder-dev (>= 1.2.14),
         golang-github-pkg-errors-dev,
         golang-github-seccomp-libseccomp-golang-dev,
         golang-github-sirupsen-logrus-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-gocapability-dev,
         golang-golang-x-crypto-dev,
         golang-golang-x-sys-dev,
         golang-gomega-dev,
         ${misc:Depends}
Description: tool to facilitate building OCI images
 The Buildah package provides a command line tool that can be used to
   - create a working container, either from scratch or using an image as a
     starting point
   - create an image, either from a working container or via the
     instructions in a Dockerfile
   - images can be built in either the OCI image format or the traditional
     upstream docker image format
   - mount a working container's root filesystem for manipulation
   - unmount a working container's root filesystem
   - use the updated contents of a container's root filesystem as a
     filesystem layer to create a new image
   - delete a working container or an image
   - rename a local container
 .
 This package contains golang sources that other package may require for
 building.

## golang-github-containers-buildah 1.37.5%2Bds1

=== debian/changelog ===
golang-github-containers-buildah (1.37.5+ds1-1) unstable; urgency=medium

  * New upstream release
    - Bump containers/storage to incoroprate the fixes for CVE-2024-3675
  * drop 0005-Properly-validate-cache-IDs-and-sources.patch, merged upstream

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 20 Oct 2024 19:17:05 -0400

golang-github-containers-buildah (1.37.4+ds1-1) unstable; urgency=medium

  * New upstream release, Closes: #1084980
    Fixes: CVE-2024-9407, CVE-2024-9341: validate "bind-propagation" flag settings
    Fixes: https://issues.redhat.com/browse/RHEL-61147
    Fixes: https://issues.redhat.com/browse/RHEL-61145
  * Backport upstream patch for CVE-2024-9675
  * debian/control: tighten dependencies on containers/common

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 16 Oct 2024 08:07:46 -0400

## golang-github-containers-buildah 1.37.5+ds1

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                go-md2man,
                golang-ginkgo-dev,
                golang-github-appc-cni-dev (>= 0.7.0~~),
-               golang-github-containers-common-dev (>= 0.60.2~~),
+               golang-github-containers-common-dev (>= 0.60.4~~),
                golang-github-containers-image-dev (>= 5.32.2~~),
                golang-github-containers-luksy-dev (>= 0.0~git20240812~),
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>= 1.55),
+               golang-github-containers-storage-dev (>= 1.55.1),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-docker-dev (>= 26.1.4+dfsg3~),
@@ -63,7 +63,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Breaks: fuse-overlayfs (<< 0.7.1)
-Recommends: crun | runc, fuse-overlayfs (>= 0.7.1~), ${misc:Recommends}
+Recommends: cpp, crun | runc, fuse-overlayfs (>= 0.7.1~), ${misc:Recommends}
 Suggests: containers-storage
 Description: CLI tool to facilitate building OCI images
  The Buildah package provides a command line tool that can be used to
@@ -87,11 +87,11 @@
 Architecture: all
 Depends: golang-ginkgo-dev,
          golang-github-appc-cni-dev (>= 0.7.0~~),
-         golang-github-containers-common-dev (>> 0.60.2~~),
+         golang-github-containers-common-dev (>> 0.60.4~~),
          golang-github-containers-image-dev (>= 5.32.2~~),
          golang-github-containers-luksy-dev (>= 0.0~git20240812~),
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>= 1.55),
+         golang-github-containers-storage-dev (>= 1.55.1),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-docker-dev (>= 19.03.4~),

=== debian/rules ===
#!/usr/bin/make -f

# probably not suitable tests for running as part of package build
DH_GOLANG_EXCLUDES := \
	github.com/containers/buildah/tests/e2e \
	github.com/containers/buildah/tests/conformance

# TODO: fails finding some Containerfiles, not sure what's going wrong
DH_GOLANG_EXCLUDES += github.com/containers/buildah/pkg/util

# TOOD: builds and runs a helper utility during the tests, find out how
# to make this work during the package build
DH_GOLANG_EXCLUDES += github.com/containers/buildah/chroot

# cf. https://github.com/containers/buildah/issues/5713
ifneq (,$(filter $(DEB_HOST_ARCH), s390x))
DH_GOLANG_EXCLUDES += github.com/containers/buildah/internal/mkcw
endif

export DH_GOLANG_EXCLUDES
export DH_GOLANG_INSTALL_EXTRA := $(wildcard internal/mkcw/embed/*)

override_dh_auto_build: $(MANPAGES) $(MANPAGES5)
	dh_auto_build -- -tags "seccomp selinux apparmor libsubid"
	make -C docs docs GOMD2MAN=go-md2man
	make -C docs install PREFIX=/usr DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
	mkdir -p -m700 $(CURDIR)/debian/tmp-home/.cache
	env \
		HOME=$(CURDIR)/debian/tmp-home/.cache \
	dh_auto_test
	rm -rfv debian/tmp-home

%:
	dh $@ --buildsystem=golang --with=golang,bash-completion --builddirectory=_build

=== debian/tests/control ===
Tests: bats
Architecture: amd64, arm64
Depends: apache2-utils,
         bats,
         ca-certificates,
         cpp,
         curl,
         file,
         ginkgo,
         git,
         iproute2,
         jq,
         ncat,
         openssh-client,
         passt,
         podman,
         slirp4netns,
         util-linux,
         uuid-runtime,
         @,
         @recommends@
Restrictions: allow-stderr, flaky, isolation-machine, needs-internet

## golang-github-containers-buildah 1.38.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.38.0+ds1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 17 Nov 2024 10:03:14 -0500

golang-github-containers-buildah (1.38.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten dependencies
  * refresh patches
  * install additional test files
  * expand ignore-netavark patch
  * install the 'inet' test binary

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 12 Nov 2024 09:40:16 -0500

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,16 @@
                go-md2man,
                golang-ginkgo-dev,
                golang-github-appc-cni-dev (>= 0.7.0~~),
-               golang-github-containers-common-dev (>= 0.60.4~~),
-               golang-github-containers-image-dev (>= 5.32.2~~),
-               golang-github-containers-luksy-dev (>= 0.0~git20240812~),
+               golang-github-containers-common-dev (>= 0.61),
+               golang-github-containers-image-dev (>= 5.33),
+               golang-github-containers-luksy-dev,
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>= 1.55.1),
+               golang-github-containers-storage-dev (>= 1.56),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-docker-dev (>= 26.1.4+dfsg3~),
                golang-github-docker-go-units-dev,
-               golang-github-fsouza-go-dockerclient-dev (>> 1.11),
+               golang-github-fsouza-go-dockerclient-dev (>> 1.12),
                golang-github-hashicorp-go-multierror-dev,
                golang-github-ishidawataru-sctp-dev,
                golang-github-konsorten-go-windows-terminal-sequences-dev,
@@ -31,7 +31,7 @@
                golang-github-opencontainers-runtime-tools-dev,
                golang-github-opencontainers-selinux-dev,
                golang-github-opencontainers-specs-dev,
-               golang-github-openshift-imagebuilder-dev (>= 1.2.14),
+               golang-github-openshift-imagebuilder-dev (>= 1.2.15),
                golang-github-pkg-errors-dev,
                golang-github-seccomp-libseccomp-golang-dev,
                golang-github-sirupsen-logrus-dev,
@@ -87,17 +87,17 @@
 Architecture: all
 Depends: golang-ginkgo-dev,
          golang-github-appc-cni-dev (>= 0.7.0~~),
-         golang-github-containers-common-dev (>> 0.60.4~~),
-         golang-github-containers-image-dev (>= 5.32.2~~),
-         golang-github-containers-luksy-dev (>= 0.0~git20240812~),
+         golang-github-containers-common-dev (>> 0.61),
+         golang-github-containers-image-dev (>= 5.33),
+         golang-github-containers-luksy-dev,
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>= 1.55.1),
+         golang-github-containers-storage-dev (>= 1.56),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-docker-dev (>= 19.03.4~),
 #       golang-github-docker-distribution-dev,
          golang-github-docker-go-units-dev,
-         golang-github-fsouza-go-dockerclient-dev (>> 1.11),
+         golang-github-fsouza-go-dockerclient-dev (>> 1.12),
          golang-github-hashicorp-go-multierror-dev,
          golang-github-ishidawataru-sctp-dev,
          golang-github-mattn-go-shellwords-dev,
@@ -107,7 +107,7 @@
          golang-github-opencontainers-runtime-tools-dev,
          golang-github-opencontainers-selinux-dev,
          golang-github-opencontainers-specs-dev,
-         golang-github-openshift-imagebuilder-dev (>= 1.2.14),
+         golang-github-openshift-imagebuilder-dev (>= 1.2.15),
          golang-github-pkg-errors-dev,
          golang-github-seccomp-libseccomp-golang-dev,
          golang-github-sirupsen-logrus-dev,

## golang-github-containers-buildah 1.38.1+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.38.1+ds1-1) unstable; urgency=medium

  * New upstream release
  * Tighten dependencies on containers/{storage,image,common}
  * Fix TOCTOU error when bind and cache mounts use "src" values
    Fixes: CVE-2024-11218
  * refresh patches/0006-tolerate-absence-of-netavark-binary-in-tests
  * Expand patches/root-testfail-ignore.patch

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 23 Jan 2025 06:35:06 -0500

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                go-md2man,
                golang-ginkgo-dev,
                golang-github-appc-cni-dev (>= 0.7.0~~),
-               golang-github-containers-common-dev (>= 0.61),
-               golang-github-containers-image-dev (>= 5.33),
+               golang-github-containers-common-dev (>= 0.61.1),
+               golang-github-containers-image-dev (>= 5.33.1),
                golang-github-containers-luksy-dev,
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>= 1.56),
+               golang-github-containers-storage-dev (>= 1.56.1),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-docker-dev (>= 26.1.4+dfsg3~),

## golang-github-containers-buildah 1.39.0+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.39.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Mark bats autopkgtest as no longer flaky

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 12 Feb 2025 09:20:54 -0500

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,11 @@
                go-md2man,
                golang-ginkgo-dev,
                golang-github-appc-cni-dev (>= 0.7.0~~),
-               golang-github-containers-common-dev (>= 0.61.1),
-               golang-github-containers-image-dev (>= 5.33.1),
+               golang-github-containers-common-dev (>= 0.62),
+               golang-github-containers-image-dev (>= 5.34),
                golang-github-containers-luksy-dev,
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>= 1.56.1),
+               golang-github-containers-storage-dev (>= 1.57),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-docker-dev (>= 26.1.4+dfsg3~),
@@ -87,11 +87,11 @@
 Architecture: all
 Depends: golang-ginkgo-dev,
          golang-github-appc-cni-dev (>= 0.7.0~~),
-         golang-github-containers-common-dev (>> 0.61),
-         golang-github-containers-image-dev (>= 5.33),
+         golang-github-containers-common-dev (>> 0.62),
+         golang-github-containers-image-dev (>= 5.34),
          golang-github-containers-luksy-dev,
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>= 1.56),
+         golang-github-containers-storage-dev (>= 1.57),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-docker-dev (>= 19.03.4~),

## golang-github-containers-buildah 1.39.3+ds1

=== tests/tools/Makefile ===
GO := go
GO_BUILD=$(GO) build

BUILDDIR := build

SOURCES = go.mod go.sum

all: $(BUILDDIR)

.PHONY: vendor
vendor:
	$(GO) mod tidy
	$(GO) mod vendor
	$(GO) mod verify
	if test -n "$(strip $(shell go env GOTOOLCHAIN))"; then go mod edit -toolchain none ; fi

vendor-in-container:
	if test -d `go env GOCACHE` && test -w `go env GOCACHE` ; then \
		podman run --privileged --rm --env HOME=/root -v `go env GOCACHE`:/root/.cache/go-build --env GOCACHE=/root/.cache/go-build -v `pwd`:/src -w /src docker.io/library/golang:1.21 make vendor ; \
	else \
		podman run --privileged --rm --env HOME=/root -v `pwd`:/src -w /src docker.io/library/golang:1.21 make vendor ; \
	fi

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)

.PHONY: $(BUILDDIR)
$(BUILDDIR): \
	$(BUILDDIR)/go-md2man \
	$(BUILDDIR)/golangci-lint

$(BUILDDIR)/go-md2man: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/cpuguy83/go-md2man/v2

$(BUILDDIR)/golangci-lint: $(SOURCES)
	$(GO_BUILD) -o $@ ./vendor/github.com/golangci/golangci-lint/cmd/golangci-lint

=== debian/changelog ===
golang-github-containers-buildah (1.39.3+ds1-1syncable1) plucky; urgency=medium

  * Add needs-root to bats so it passes a majority of the time, and flaky for
    the HTTP timeouts.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 23 Mar 2025 00:20:41 -0500

golang-github-containers-buildah (1.39.3+ds1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 18 Mar 2025 06:55:41 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: golang-github-containers-buildah
 Section: devel
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Reinhard Tartler <siretart@tauware.de>,
            Dmitry Smirnov <onlyjob@debian.org>
 Build-Conflicts: golang-github-dnephin-cobra-dev
@@ -11,11 +12,11 @@
                go-md2man,
                golang-ginkgo-dev,
                golang-github-appc-cni-dev (>= 0.7.0~~),
-               golang-github-containers-common-dev (>= 0.62),
-               golang-github-containers-image-dev (>= 5.34),
+               golang-github-containers-common-dev (>= 0.62.2),
+               golang-github-containers-image-dev (>= 5.34.2),
                golang-github-containers-luksy-dev,
                golang-github-containers-ocicrypt-dev,
-               golang-github-containers-storage-dev (>= 1.57),
+               golang-github-containers-storage-dev (>= 1.57.2),
                golang-github-coreos-bbolt-dev (>= 1.3.3~),
                golang-github-cyphar-filepath-securejoin-dev,
                golang-github-docker-docker-dev (>= 26.1.4+dfsg3~),
@@ -87,11 +88,11 @@
 Architecture: all
 Depends: golang-ginkgo-dev,
          golang-github-appc-cni-dev (>= 0.7.0~~),
-         golang-github-containers-common-dev (>> 0.62),
-         golang-github-containers-image-dev (>= 5.34),
+         golang-github-containers-common-dev (>> 0.62.2),
+         golang-github-containers-image-dev (>= 5.34.2),
          golang-github-containers-luksy-dev,
          golang-github-containers-ocicrypt-dev,
-         golang-github-containers-storage-dev (>= 1.57),
+         golang-github-containers-storage-dev (>= 1.57.2),
          golang-github-coreos-bbolt-dev (>= 1.3.3~),
          golang-github-cyphar-filepath-securejoin-dev,
          golang-github-docker-docker-dev (>= 19.03.4~),

=== debian/tests/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
          jq,
          ncat,
          openssh-client,
+         parallel,
          passt,
          podman,
          slirp4netns,
@@ -19,4 +20,4 @@
          uuid-runtime,
          @,
          @recommends@
-Restrictions: allow-stderr, flaky, isolation-machine, needs-internet
+Restrictions: allow-stderr, isolation-machine, needs-internet, needs-root, flaky

## golang-github-containers-buildah 1.41.4+ds1

=== debian/changelog ===
golang-github-containers-buildah (1.41.4+ds1-3) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Sep 2025 17:20:04 -0400

golang-github-containers-buildah (1.41.4+ds1-2) experimental; urgency=medium

  * Build against runc 1.3

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Sep 2025 21:27:06 -0400

golang-github-containers-buildah (1.41.4+ds1-1) experimental; urgency=medium

  * New upstream release
  * Refresh/update patches
  * install additional test binaries to usr/libexec/buildah: passwd, dumpspec
  * Revert 9ac03e6bf91afa59c7c3f7d683042d2b8d5956ef to allow compilation
    with runc 1.1

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 07 Sep 2025 12:52:39 -0400

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+ds1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=s{[+~]ds\d*}{},\
" https://github.com/containers/buildah/tags \
  .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## golang-github-containers-buildah 1.41.5%2Bds1

=== debian/tests/control ===
--- 
+++ 
@@ -20,4 +20,4 @@
          uuid-runtime,
          @,
          @recommends@
-Restrictions: allow-stderr, isolation-machine, needs-internet, needs-root, flaky
+Restrictions: allow-stderr, isolation-machine, needs-internet
